# 数据结构

## ResourceInfo

描述资源的基本信息

被如下接口引用：DescribeResourceByTags

| 参数名称         | 类型     | 描述      |
| ------------ | ------ | ------- |
| resourceType | String | 资源类型。   |
| resourceUuid | String | 资源唯一标识。 |

## ResourceTag

描述资源关联标签的基本信息

被如下接口引用：DescribeResourceTags

| 参数名称        | 类型     | 描述    |
| ----------- | ------ | ----- |
| key         | String | 标签键。  |
| value       | String | 标签值。  |
| createdDate | String | 创建时间。 |

## Tag

描述一个标签键值对的信息。

被如下接口引用：DescribeTags, TagBindResources, CreateTags, DeleteTags, ModifyResourceTags, TagUnbindResources, DescribeResourceByTags

| 参数名称  | 类型     | 必选 | 描述                              |
| ----- | ------ | -- | ------------------------------- |
| key   | String | 是  | <p>标签键。</p><p>长度限制：1～64个字符。</p> |
| value | String | 否  | <p>标签值。</p><p>长度限制：1～64个字符。</p> |

## TagInfo

描述标签的基本信息

被如下接口引用：DescribeTags

| 参数名称              | 类型      | 描述          |
| ----------------- | ------- | ----------- |
| key               | String  | 标签键。        |
| value             | String  | 标签值。        |
| bindResourceCount | Integer | 标签下绑定的资源总数。 |
| createdDate       | String  | 创建时间。       |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/platform-service/zrm/datastructure.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
